<?_head("Site map")?>

<div class="intro">
Maybe you're lost or maybe you want an overview of what this site has to offer, 
in both cases this page might be of some use or confuse you even more.
</div><p>

If you have any questions, send them to: 
<?

if (file_exists("$ENV[DOCUMENT_ROOT]/contact.php"))
	_link("/contact.php?to=$ENV[SERVER_ADMIN]&subject=I'm%20lost,%20please%20help%20me%20!",$ENV['SERVER_ADMIN']);
else
	_link("mailto:$ENV[SERVER_ADMIN]",$ENV['SERVER_ADMIN']);

function _directory($dir,$depth) {
	global $ENV, $cfg;
	$depth++;
	$dir=_rtrim($dir,'/');
	$d=dir("$ENV[DOCUMENT_ROOT]$dir");
	$entries=array();
//	echo "DEBUG: $cfg[sitemap_hidden]<br>\n";
	while($entry=$d->read()) {
		if (is_file("$ENV[DOCUMENT_ROOT]$dir/$entry") and
			ereg('.(php|pdf|rtf|rpm|html)$',$entry) and
			!ereg('.(inc|inc.php)$',$entry) and
			!ereg('^(index.php|index.html|submit.php|photo.php|mail.php|error.php)$',$entry)) {
			$title=_readTitle("$ENV[DOCUMENT_ROOT]$dir/$entry",$entry);
			if ($title!='')
				if (_isPrivate() or !eregi('\$|draft|hidden|old',$title)) {
					$entries[$entry]=$title;
					$descr[$entry]=_readDescr("$ENV[DOCUMENT_ROOT]$dir/$entry");
				}
		} elseif (is_dir("$ENV[DOCUMENT_ROOT]$dir/$entry") and
			!ereg('\.+$',$entry) and
			!ereg($cfg['sitemap_hidden'],"$dir/$entry") and
			(!ereg('^intern$',$entry) or
			(_isPrivate()))) {
			$title=_readTitle("$ENV[DOCUMENT_ROOT]$dir/$entry",'');
			if ($title!='') {
				if (_isPrivate() or !eregi('\$|draft|hidden|old',$title)) {
					$entries[$entry]=$title;
					$descr[$entry]=_readDescr("$ENV[DOCUMENT_ROOT]$dir/$entry");
				}
			} elseif (@is_file("$ENV[DOCUMENT_ROOT]$dir/$entry/.index")) {
				$entries[$entry]=ucwords($entry);
				$descr[$entry]=_readDescr("$ENV[DOCUMENT_ROOT]$dir/$entry");
			}
        }
	}
	asort($entries);
	reset($entries);
	while(list($entry,$title)=each($entries)) {
		if (is_readable("$ENV[DOCUMENT_ROOT]$dir/$entry")) {
			if (is_file("$ENV[DOCUMENT_ROOT]$dir/$entry")) {
				echo '<ul type=\"disc\"><li> ';
				_link("$dir/$entry",$title,$descr[$entry]);
				echo '</ul>';
			} elseif (is_dir("$ENV[DOCUMENT_ROOT]$dir/$entry")) {
				echo '<ul type=\"circle\"><li> ';
				_link("$dir/$entry/",$title,$descr[$entry]);
				echo '</ul>';
				if (empty($cfg['sitemap_depth']) or $cfg['sitemap_depth']>$depth) {
					echo '<ul>'; _directory("$dir/$entry",$depth); echo "</ul>\n";
				}
			}
		}
	}
	$d->close();
	$depth--;
}
?>

<small>
<ul type="square">
 <li> <?_link("$cfg[path]",_readTitle("$ENV[DOCUMENT_ROOT]$cfg[path]/index.php",""))?>
 <?_directory("$cfg[path]",1)?>
</ul>
</small>
<?_foot()?>
