<?
/*  
	This file is a shared library and contains code that is used
	by more than one website. Everything that is specific to a
	certain website must go in cfg_local.inc.php.

	If you really need to change functions in this file, please
	send them to dag@wieers.com.
*/ 
/*
	Description: Put up a protest page. (/protest.php)

		protest_all_hits	Show protest page for every hit (default: false)
		protest_no_bots		Don't show protest for spiders/bots (default: true)
		protest_page		The page to show, relative to website (default: /protest.php)
*/

	global $ENV, $cfg, $in;

	/* Default configuration variables */
	if (empty($cfg['protest_all_hits']))
		$cfg['protest_all_hits']=false;

	if (empty($cfg['protest_no_bots']))
		$cfg['protest_no_bots']=true;

	if (empty($cfg['protest_page']))
		$cfg['protest_page']='/protest.php';

	/* Business logic */
	if (!array_key_exists('protest',$in)) {
		if (!array_key_exists('debug',$cfg)) {
			if (!($cfg['protest_no_bots'] and (eregi('(bot|spider)', $ENV['HTTP_USER_AGENT'])))) {
				if (($cfg['protest_all_hits'] and ($ENV['HTTP_REFERER']!="http://$ENV[HTTP_HOST]$ENV[REQUEST_URI]")) or
					(!eregi($ENV['SERVER_NAME'], $ENV['HTTP_REFERER']))) {
					$file="$ENV[DOCUMENT_ROOT]$cfg[path]$cfg[protest_page]";
					if (is_readable($file)) {
						include("$ENV[DOCUMENT_ROOT]$cfg[path]$cfg[protest_page]");
						exit;
					} else {
						echo "<!-- DEBUG(protest): protest_page ($file) not found. -->\n";
					}
				}
			}
		} else {
			echo "<!-- DEBUG(protest): Module mod_protest is disabled because debugging is on -->\n";
		}
	} else {
		echo "<!-- DEBUG(protest): Module mod_protest is disabled because \$in['protest'] is defined -->\n";
	}
?>
