<html>
<head>
	<title>Protest against software patents</title>
	<link rel="stylesheet" href="/style.css" type="text/css">
	<link rel="alternate stylesheet" href="/style-css1.css" type="text/css" title="Default (CSS1)">
	<link rel="icon" href="/peng16x16a.gif" type="image/gif">
	<meta http-equiv="refresh" content="90; URL=<?echo "$ENV[REQUEST_NAME]?protest=please"?>">
</head>
<body>
<blockquote><blockquote>
<div class="text" align="justify">
<div class="pagetitle">Protest against software patents (in Europe)</div>

<div class="intro">
<i>Please read this carefully.</i> This page is closed for 90 seconds in
protest against the concrete plans to introduce software patents in Europe.
Websites may soon be closed down regularly due to
software patents.
<b>Software patents are a threat to innovation and competition and
Open Source software (like Linux) and help support existing monopolies.</b>
</div>

<?/*
Companies can and will use software patents in an unpleasant way,
because they have money to pay lawyers while open-source software
developers don't. Small companies that cannot afford the high
patent pricing will also suffer from the patent "stock market".
<br><br>
*/?>

Patenting software ideas allows for patenting <i>any</i> basic idea
without proving the origin or the ingeniousness of the idea.
If we look at the US and Japan, we have ample incidents where
vague software patents were accepted by the patent-office
and where <i>'defendants have to pay for proving in court that
they are </i>not<i> guilty'</i> (eg. that the idea already existed
before it was even patented).
<br><br>

Computer hobbyists, Open Source developers and small to mid-size
companies that cannot afford the high patent pricing will also
suffer from the existing software patent "stock market". And are
obliged to settle any unfair patent lawsuit forced upon them.
<br><br>

Allowing software patents in Europe will instantly make those vague US
patents a reality in Europe, this is a major competitive disadvantage
for European companies. It is sad that this situation
exists because Europe was smart in the past to not stiffle computer
innovation/competition and is presently forced to its knees by US
lobbying groups and economical sanctions.
<br><br>

There is a big difference with patents on inventions of other
nature (mechanical or medical), because software can be
sufficiently copy-protected by copyright and software inventions
(like ideas) never require a big upfront investment. Anyone
can think of ten items to patent in an hour. Applying for a
patent is just a matter of paying a patent attorney.
<br><br>

Software patents are already applied (and abused) for
'One click shopping', the 'progress bar',  the
'<?_link('/sitemap.php','tree view')?>' and a lot of other basic ideas.
Verifying if an idea is already patented or making sure you're not
implementing a patented idea is impractical and impossible and there's
always the danger you're breaking an <i>not-yet</i> enforced software patent.
We don't want this ridiculous US lawsuit puppetry to come to Europe too.
<br><br>

The European Government is going to vote on Software Patents
on 24 september 2003. On 27 august 2003 there was a big 
<?_link('http://swpat.ffii.org/news/03/demo0819/index.en.html','protest action in Brussels')?>.
More information why software patents are bad for Europe (and the rest
of the world) can be found at <?_link('http://swpat.ffii.org/')?>.
<?/*
You will be automatically redirected to <?_link('http://swpat.ffii.org/')?>
 for more information about software patents.
*/?>
<br><br>

<div class="warning">
If you carefully read this information and understand the implications
of software patents and its impact on Open Source software, you understand
that your action is required to help fight software patents.

<b>You can help by donating some money to <?_link('http://www.ffii.org/','FFII')?>
 (Europe) or <?_link('http://www.eff.org/','EFF')?> (US). Or talk to your local
Member of Parliament (MP).</b>
<br><br>

Click here if you want to go to the <?_link("$ENV[REQUEST_NAME]",'original page')?>.
</div>
</div>
</blockquote></blockquote>
</body>
</html>
